import { Controller } from 'stimulus';
import Cookies from 'js-cookie';
/*
 * This is an example Stimulus controller!
 *
 * Any element with a data-controller="default" attribute will cause
 * this controller to be executed. The name "default" comes from the filename:
 * default_controller.js -> "default"
 *
 * Delete this file or adapt it for your use!
 */
export default class extends Controller {
    connect() {
        var bannerWrap = this.element;
        
        $.ajax({
            dataType: "json",
            method: 'GET',
            url: '/api/banner/' + Cookies.get('region'),
            success(response) {
                if (response.active == true) {
                    var a = document.createElement('a');
                    a.href = response.href;
                    a.target = "_blank";
                    a.innerHTML = '<img src="/banners/' + response.src + '" alt="баннер">'
                    bannerWrap.append(a);
                }
            }
        });
    }
}
